xrdp-sesrun(8)

NAME
xrdp-sesrun - xrdp-sesman(8) session launcher

SYNTAX
xrdp-sesrun --help
xrdp-sesrun [ options ] [ username ]

DESCRIPTION
xrdp-sesrun starts a session using xrdp-sesman(8).
This is a tool useful for testing. It simply behaves like xrdp when some user logs in a new session and authenticates, thus starting a new session. Default values for the options are set at compile-time. Run the utility with the '--help' option to see what the defaults are for your installation. If no username is used, the current username is used, and no password needs to be provided. In this instance, it is important that any necessary authentication tokens for a GUI session (e.g. a Kerberos ticket) have already been acquired. If a username is provided, a password must also be provided. In this instance the utility prompts for a password if neither -p or -F is used.

OPTIONS

-g <width>x<height>
    Set session geometry.
    Note that most configurations will resize the session on connection, so this option may not do what you expect.

-b <bits-per-pixel>
    Set session bits-per-pixel (colour depth). Some session types (i.e. Xorg) will ignore this setting.

-t <session-type>
    Session type - one of Xorg or Xvnc. Alternatively, for testing only, use the numeric session code.

-D <directory>
    Directory to run the new session in. Defaults to $HOME for the specified user.

-S <shell>
    Specify an alternate shell to run, instead of the default window manager.

-p <password>
    Password for user. USE FOR TESTING ONLY - the password will be visible in the output of the ps command.

-F <file-descriptor>
    Specify a file descriptor (normally 0) to read the password in from. This is a secure way to pass the password in to the utility.

-c <sesman-ini>
    Specify a different sesman.ini file. This file is used to find out how to connect to xrdp-sesman.

ENVIRONMENT

SESRUN_LOG_LEVEL
    Override the default logging level. One of "error", "warn", "info", "debug", "trace" or a number 1-5.

EXAMPLES

xrdp-sesrun
    Create a default session for the current user.

xrdp-sesrun -F 0 user1 <passwd.txt
    Create a default session for user user1 with a password from a file

xrdp-sesrun -t Xvnc -S /usr/bin/xterm user1
    Create an extremely minimal Xvnc session for user user1. This could be useful for debugging why the standard session is not starting properly. Note you would need to install the xterm utility first. The gnome-terminal utility probably won't work here.

FILES
/usr/sbin/xrdp-sesman
/usr/bin/xrdp-sesrun
/etc/xrdp/sesman.ini

AUTHORS
Jay Sorg <jsorg71@users.sourceforge.net>
Simone Fedele <ilsimo@users.sourceforge.net>

SEE ALSO
xrdp-sesman(8), sesman.ini(5), xrdp(8), xrdp.ini(5) For more info on xrdp see http://www.xrdp.org/